Article ID: 121064, created on Mar 13, 2015, last review on Mar 13, 2015

  • Applies to:
  • Plesk for Linux/Unix

Kennzeichen

Ich habe vom Migrationsmanager eine Benachrichtigung wie folgende erhalten:

The following Apache modules are not installed on the destination server: `mem_cache`,`jk`,`bw`. Please install and enable these modules to prevent possible problems.

Wie kann ich die erforderlichen Apache Module installieren und konfigurieren?

Lösung

Mithilfe folgender Schritte können Sie zusätzliche Module für den Apache Webserver konfigurieren:

  1. Überprüfen Sie die Version des installierten Apache Webservers:

    [root@parallels]# rpm -qa | grep http
    httpd-2.2.15-30.el6.centos.x86_64
    
  2. Laden Sie die Quelldateien für Ihre Apache Version herunter und entpacken Sie sie:

    [root@parallels]# wget archive.apache.org/dist/httpd/httpd-2.2.15.tar.gz
    [root@parallels]# tar xfz httpd-2.2.15.tar.gz   
    
  3. Installieren Sie die Pakete GNU compiller, C++ support to the compiller, kernel-development und httpd development:

    [root@parallels]# yum install gcc gcc-c++ kernel-devel httpd-devel  
    
  4. Überprüfen Sie die erforderlichen Dateien für die Kompilierung der nötigen Module. Zum Beispiel finden Sie die Informationen über das Modul mem_cache in der folgenden Datei:

    [root@parallels]# cat /root/httpd-2.2.15/modules/cache/config.m4
    dnl #  list of object files for mod_mem_cache
    mem_cache_objs="dnl
    mod_mem_cache.lo dnl
    cache_cache.lo dnl
    cache_pqueue.lo dnl
    cache_hash.lo dnl
    
  5. Gehen Sie zu '/root/httpd-2.2.15/modules/cache'
    [root@parallels ]# cd /root/httpd-2.2.15/modules/cache
  6. Konfigurieren Sie das erforderliche Modul mit folgendem Befehl:

    [root@parallels cache]# apxs -c -i mod_mem_cache.c cache_cache.c cache_pqueue.c cache_hash.c
    

HINWEIS: Das Modul mem_cache erfordert ein anderes Modul: mod_cache. Es fungiert als ein Support-Modul für mod_cache und stellt einen arbeitsspeicherbasierten Storage-Manager bereit. In Plesk ist die Unterstützung für mod_cache integriert.

Weitere Informationen finden Sie in der offiziellen technischen Dokumentation von Apache (EN)

  1. Starten Sie den Apache Webserver neu, um die Änderungen an der Konfiguration zu übernehmen.

  2. Danach sind Sie in der Lage, Apache Module über die Plesk Benutzeroberfläche ("Tools & Einstellungen > Apache Webserver-Einstellungen") zu verwalten

Bitte beachten Sie, dass in Plesk ab der Version 10.4 die Unterstützung für mod_jk und mod_bw integriert ist. Sie können diese Komponenten via 'Updates und Upgrades' installieren. Sie heißen "Bandwidth Limiter For Apache support (mod_bw)" und "Tomcat Java Servlets support"

Weitere Informationen finden Sie in den Release Notes (EN)

a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c 29d1e90fd304f01e6420fbe60f66f838

Email subscription for changes to this article
Save as PDF